Page MenuHomePhabricator

[hwasan] Runtime flags for malloc bisection.
ClosedPublic

Authored by eugenis on Feb 12 2019, 5:50 PM.

Diff Detail

Event Timeline

eugenis created this revision.Feb 12 2019, 5:50 PM
Herald added a project: Restricted Project. · View Herald TranscriptFeb 12 2019, 5:50 PM
Eugene.Zelenko added inline comments.
compiler-rt/lib/sanitizer_common/sanitizer_hash.h
11 ↗(On Diff #186575)

Please insert empty line above.

eugenis updated this revision to Diff 186728.Feb 13 2019, 1:27 PM

added an empty line

eugenis marked an inline comment as done.Feb 13 2019, 1:27 PM
eugenis updated this revision to Diff 186729.Feb 13 2019, 1:32 PM

revert unrelated changes

pcc accepted this revision.Feb 15 2019, 9:58 AM

LGTM

compiler-rt/lib/hwasan/CMakeLists.txt
28 ↗(On Diff #186729)

nit: alphabetical order

compiler-rt/test/hwasan/TestCases/malloc_bisect.c
5 ↗(On Diff #186729)

Should this be 2^32 - 1 to prevent the test from being sensitive to the test environment?

This revision is now accepted and ready to land.Feb 15 2019, 9:58 AM
eugenis updated this revision to Diff 187038.Feb 15 2019, 10:33 AM

address comments

Herald added a project: Restricted Project. · View Herald TranscriptFeb 15 2019, 10:33 AM
Herald added a subscriber: Restricted Project. · View Herald Transcript
eugenis marked 2 inline comments as done.Feb 15 2019, 10:33 AM
This revision was automatically updated to reflect the committed changes.